Ads
Ad breaks on a channel
GET
Scope: ads:read
apiKeyheader
AuthorizationBearer <ik_live_…>An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.
id*stringOK
application/json- response
[key: string]?anyExample Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/channels/string/ad-breaks'Example Response
{ "channel": { "id": "1dad8739-b86a-4f5e-ab64-28b7f72a717d", "name": "E2E Ad Channel India", "timezone": "Asia/Kolkata" }, "versionId": "f3626338-0b09-4a1f-890c-8f51359da9d5", "revidd": true, "spotSized": true, "window": { "from": "2026-10-30T09:10:12.909Z", "to": "2026-10-31T09:10:12.909Z" }, "day": null, "days": [ "2026-10-30", "2026-10-31" ], "tzLabel": "GMT+5:30", "counts": { "breaks": 100, "carrying": 0, "plays": 0 }, "breaks": [ { "breakId": "91c4cdfd-15fb-45a3-bc7c-f887c58d2399", "kind": "mid", "programmeOffsetSec": 1800, "startsAt": "2026-10-30T09:24:30.000Z", "endsAt": "2026-10-30T09:26:00.000Z", "durationSec": 90, "plannedSec": 90, "fill": "slate", "scte35": { "spliceType": "time_signal", "eventId": 758203, "outOfNetwork": true, "cueOutAt": "2026-10-30T09:24:30.000Z", "cueInAt": "2026-10-30T09:26:00.000Z", "breakDurationSec": 90, "autoReturn": true, "preRollMs": 4000, "upid": "ingenee:break:91c4cdfd-15fb-45a3-bc7c-f887c58d2399", "segmentationType": "provider_po", "segmentationTypeId": "0x34" }, "spots": [], "day": "2026-10-30", "localStart": "2026-10-30 14:54:30", "localTime": "14:54", "tzLabel": "GMT+5:30", "istTime": "14:54", "istDayOffset": 0, "where": "in Spider-Man: Into the Spider-Verse at 30:00", "ads": [], "slateSec": 90 }, { "breakId": "f320e8fe-2f86-4567-8ed7-3388f40c3998", "kind": "mid", "programmeOffsetSec": 2700, "startsAt": "2026-10-30T09:41:00.000Z", "endsAt": "2026-10-30T09:42:30.000Z", "durationSec": 90, "plannedSec": 90, "fill": "slate", "scte35": { "spliceType": "time_signal", "eventId": 46298, "outOfNetwork": true, "cueOutAt": "2026-10-30T09:41:00.000Z", "cueInAt": "2026-10-30T09:42:30.000Z", "breakDurationSec": 90, "autoReturn": true, "preRollMs": 4000, "upid": "ingenee:break:f320e8fe-2f86-4567-8ed7-3388f40c3998", "segmentationType": "provider_po", "segmentationTypeId": "0x34" }, "spots": [], "day": "2026-10-30", "localStart": "2026-10-30 15:11:00", "localTime": "15:11", "tzLabel": "GMT+5:30", "istTime": "15:11", "istDayOffset": 0, "where": "in Spider-Man: Into the Spider-Verse at 45:00", "ads": [], "slateSec": 90 } ], "warnings": []}